; EXAMPLE configuration

; Set [global]live to 1 if ready to go live


[global]
live         = 0
node         = 1
domain       = example-domain.hu
host         = samplehost
mx           = "10 mail.example-domain.hu."
template_dir = /etc/sys-admin/templates
skeleton_dir = /etc/sys-admin/skeleton
hook_dir     = /etc/sys-admin/hooks
firstuid     = 10000
webroot      = /web
mailroot     = /var/mail
name         = "Webhosting csapat"
email        = info@example-domain.hu

[nodeip]
1 = 123.456.789.1
;2 = 123.456.789.2

[mysql]
host     = localhost
port     =
socket   = /chroot/admin/run/mysqld/mysqld.sock
user     = sys_admin
db       = sys_admin
password = ******

[cmysql]
chrdir   = /chroot/mysqld

[bind]
name      = bind9-chroot
confdir   = /chroot/named/etc/bind
conftest  = "chroot /chroot/named named-checkconf /etc/bind/named.conf"
zonetest  = "chroot /chroot/named named-checkzone '{domain}' '/etc/bind/zone/{domain}'"
ns2       = ns2.other-domain.hu
spf_extra = ""

[apache]

name[82]      = apache2-chroot-82
;reload[82]    = restart
conftest[82]  = "chroot /chroot/httpd82 apache2ctl-82 configtest"
confdir[82]   = /chroot/httpd82/etc/apache2/
logdir[82]    = /chroot/httpd82/var/log/apache2
port[82]      = 8820

name[81]      = apache2-chroot-81
;reload[81]    = restart
conftest[81]  = "chroot /chroot/httpd81 apache2ctl-81 configtest"
confdir[81]   = /chroot/httpd81/etc/apache2/
logdir[81]    = /chroot/httpd81/var/log/apache2
port[81]      = 8810

name[80]      = apache2-chroot-80
;reload[80]    = restart
conftest[80]  = "chroot /chroot/httpd80 apache2ctl-80 configtest"
confdir[80]   = /chroot/httpd80/etc/apache2/
logdir[80]    = /chroot/httpd80/var/log/apache2
port[80]      = 8800

name[74]      = apache2-chroot-74
;reload[74]    = restart
conftest[74]  = "chroot /chroot/httpd74 apache2ctl-74 configtest"
confdir[74]   = /chroot/httpd74/etc/apache2/
logdir[74]    = /chroot/httpd74/var/log/apache2
port[74]      = 8074

name[73]      = apache2-chroot-73
;reload[73]    = restart
conftest[73]  = "chroot /chroot/httpd73 apache2ctl-73 configtest"
confdir[73]   = /chroot/httpd73/etc/apache2/
logdir[73]    = /chroot/httpd73/var/log/apache2
port[73]      = 8073

name[72]      = apache2-chroot-72
;reload[72]    = restart
conftest[72]  = "chroot /chroot/httpd72 apache2ctl-72 configtest"
confdir[72]   = /chroot/httpd72/etc/apache2/
logdir[72]    = /chroot/httpd72/var/log/apache2
port[72]      = 8072

name[71]      = apache2-chroot-71
;reload[71]    = restart
conftest[71]  = "chroot /chroot/httpd71 apache2ctl-71 configtest"
confdir[71]   = /chroot/httpd71/etc/apache2/
logdir[71]    = /chroot/httpd71/var/log/apache2
port[71]      = 8071

name[70]      = apache2-chroot-70
;reload[70]    = restart
conftest[70]  = "chroot /chroot/httpd70 apache2ctl-70 configtest"
confdir[70]   = /chroot/httpd70/etc/apache2/
logdir[70]    = /chroot/httpd70/var/log/apache2
port[70]      = 8087

name[56]      = apache2-chroot-56
;reload[56]    = restart
conftest[56]  = "chroot /chroot/httpd56 apache2ctl-56 configtest"
confdir[56]   = /chroot/httpd56/etc/apache2/
logdir[56]    = /chroot/httpd56/var/log/apache2
port[56]      = 8086

name[54]      = apache2-chroot-54
;reload[54]    = restart
conftest[54]  = "chroot /chroot/httpd54 apache2ctl-54 configtest"
confdir[54]   = /chroot/httpd54/etc/apache2/
logdir[54]    = /chroot/httpd54/var/log/apache2
port[54]      = 8084

name[53]      = apache2-chroot-53
;reload[53]    = restart
conftest[53]  = "chroot /chroot/httpd53 apache2ctl-53 configtest"
confdir[53]   = /chroot/httpd53/etc/apache2/
logdir[53]    = /chroot/httpd53/var/log/apache2
port[53]      = 8083

[upstream]
;host[10]      = 192.168.789.10
;port[10]      = 8010


[nginx]
name      = nginx-chroot
;reload    = reload
conftest  = "chroot /chroot/proxyd nginx -t"
confdir   = /chroot/proxyd/etc/nginx

[ssl]
keydir  = /etc/ssl/sys
user = ssladmin
group = ssladmin
;disabled = dv_wc

[opendkim]
name = opendkim-chroot
confdir = /chroot/maild/etc/opendkim
active_key = 'samplehost-01'
key['samplehost-01'] = "v=DKIM1; k=rsa; p=******"

[dovecot]
mailuser  = mail
chrdir    = /chroot/maild
version   = 2
mailindex = /var/mailindex
;mailmeta  = /var/mailmeta

[webalizer]
statdir = /web/sys/stat
bin     = /usr/bin/webalizer
conf    = /etc/webalizer/webalizer.conf

[cron]
;cleanup-maildir = 1
;mail-installmode-off = 1
;mail-mysql-slow = 1
;mail-weakpass = 1
;mail-web-scan = 1
;mail-quota-ftp = 1
;mail-quota-mail = 1
;mail-quota-web = 1
;refresh-ftpquota = 1
;refresh-maildirquota = 1
;stats-update-ftp = 1
;stats-update-mail = 1
;stats-update-mysql = 1
;stats-update-vhost = 1
;webalizer = 1

[confgen]
;apache-confgen = 1
;bind-confgen = 1
;deploy = 1
;mysql-dbgen = 1
;opendkim-confgen = 1
;rights-file = 1
;rights = 1
;ssl-gen = 1
